microphone not working in every game?

Discussion in 'Wii - Hacking' started by naddel81, Jan 1, 2017.

  1. naddel81
    OP

    naddel81 GBAtemp Maniac

    Member
    1,478
    176
    Dec 14, 2009
    United States
    Hi @ all,

    I just tried Wii Sing and its Vol. 2 + Robbie Williams edition and all three games work perfectly using my rockband and guitar hero microphones and CFG usb loader.

    But unfortunately Wii Sing Rock and Wii Sing Pop refuse to recognize the microphones.

    How come? They are from the same developer and I am loading them the same way (cfg loader) with no additional settings attached.

    Is there anything I can do to make them work?

    best wishes!
     
  2. GreyWolf

    GreyWolf GBAtemp Psycho!

    Member
    3,855
    736
    Mar 2, 2015
    United States
    What cIOS are you using? USB peripheral games usually need one based on IOS57 or IOS58.

    It has nothing to do with the developer. It has to do with which version of the Wii SDK the games were compiled with.
     
  3. naddel81
    OP

    naddel81 GBAtemp Maniac

    Member
    1,478
    176
    Dec 14, 2009
    United States
    OK, will try that. All those games show IOS 249 when loading. But I noticed cfg loader boots up on IOS57 on the working titles and another on the non working ones.
     
  4. naddel81
    OP

    naddel81 GBAtemp Maniac

    Member
    1,478
    176
    Dec 14, 2009
    United States
    here is the one NOT recognizing the mic:

    [​IMG]

    and here is the working title that recognizes the mic:

    [​IMG]
     
  5. GreyWolf

    GreyWolf GBAtemp Psycho!

    Member
    3,855
    736
    Mar 2, 2015
    United States
    IOS249 isn't an official Nintendo IOS. What's important is what you have installed there. If you have d2x installed it's probably IOS56, which may not be sufficient. If you followed the Complete Softmod Guide you may have d2x beta53 installed there, which has compatibility issues with a number of games.

    Can you create a SysCheck report and post it? (Use the version in that thread and put it in spoiler tags, please.)

    If you look at the screenshots you posted they are requesting different IOS versions, that could be the problem. That report can help with figuring out a fix.
     
    Last edited by GreyWolf, Jan 1, 2017
  6. naddel81
    OP

    naddel81 GBAtemp Maniac

    Member
    1,478
    176
    Dec 14, 2009
    United States
    Thanks for your help! I really appreciate it.

    Here is my SysCheck:

    Warning: Spoilers inside!
     
  7. GreyWolf

    GreyWolf GBAtemp Psycho!

    Member
    3,855
    736
    Mar 2, 2015
    United States
    Try updating your cIOS in 249/250 to at least d2x-v8 as IOS249[56] and IOS250[57].

    If you do that and set the microphone games that don't work on 249 to 250 they should work.
     
  8. naddel81
    OP

    naddel81 GBAtemp Maniac

    Member
    1,478
    176
    Dec 14, 2009
    United States
    ok, but how do I update those cIOS? and is it dangerous (brick risk)?

    — Posts automatically merged - Please don't double post! —

    I got d2x-cios-installer now onto my SD card and will try to use it to get the newest cIOS versions you mentioned.
     
  9. GreyWolf

    GreyWolf GBAtemp Psycho!

    Member
    3,855
    736
    Mar 2, 2015
    United States
    Nope. Brick risks only come from changing IOSes that Nintendo released. (All of their IOSes are below #200 except for MIOS and it's backward compatibility database.) Channels with banners can cause problems sometimes if the banner is bad but IOSes don't have banners.

    You can use the d2x installer on your Wii if it's connected to the internet or ModMii if you just want the WAD versions to install. If you have a WiiU you have to go the installer route.

    I think with ModMii you can just drag the "syscheck.csv" file onto the window once you have it loaded and it will help you get the latest versions.
     
  10. naddel81
    OP

    naddel81 GBAtemp Maniac

    Member
    1,478
    176
    Dec 14, 2009
    United States
    I am trying on my wii with the installer now. will post an update in 2 minutes.

    — Posts automatically merged - Please don't double post! —

    that here is where I am now:

    [​IMG]

    my Wii has internet access, but version 6 is the latest it lets me choose. What do I do now?
     
    Last edited by naddel81, Jan 1, 2017
  11. GreyWolf

    GreyWolf GBAtemp Psycho!

    Member
    3,855
    736
    Mar 2, 2015
    United States
    Get this file and unzip it so the ciosmaps.xml file and d2x-v8-final folder is in the installer folder and it should give you access to v8.

    This file is for for v10 if v8 doesn't help.

    Cyan made an installer package that supports all of them but I can't find a link to it. v8 should work unless you have a funky HDD.
     
  12. naddel81
    OP

    naddel81 GBAtemp Maniac

    Member
    1,478
    176
    Dec 14, 2009
    United States
    what revision do I choose? 65536?

    — Posts automatically merged - Please don't double post! —

    I noticed it did not work after v8 installation so I tried WiiFlow. And with WiiFlow it loads perfectly! So strange! cfgLoader v7 is the culprit?